com.aliyun.svideosdk.editor.draft

## Class AliyunDraftManager

- java.lang.Object
- - com.aliyun.svideosdk.editor.draft.AliyunDraftManager

-     public abstract class AliyunDraftManager
      extends java.lang.Object

  草稿管理 v3.23.0 新增

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AliyunDraftManager()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract AliyunDraft` | `copy(java.lang.String draftId)` v3.23.0 版本新增 草稿复制
    `abstract void` | `deleteDraft(java.lang.String draftId)` v3.23.0 版本新增 删除草稿
    `abstract void` | `downloadDraft(java.io.File draftProject, AliyunDraftResourceDownloader downloader)` v3.23.0 版本新增 下载草稿
    `abstract AliyunDraft` | `getDraft(java.lang.String draftId)` v3.23.0 版本新增 根据ID获取草稿信息
    `abstract AliyunDraft` | `getDraftByPath(java.lang.String path)` v3.25.0 版本新增 根据草稿路径获取草稿信息
    `abstract java.util.List<AliyunDraft>` | `getDraftList()` v3.23.0 版本新增 获取草稿列表(默认按最新更新时间排序)
    `abstract void` | `getDraftListByAsync(AliyunDraftListCallback callback)` v3.23.0 版本新增 异步获取草稿列表(默认按最新更新时间排序)
    `static AliyunDraftManager` | `getInstance(Context context)` v3.23.0 版本新增 获取草稿管理实例
    `abstract void` | `preLoadDraft(AliyunDraft draft, AliyunDraftResourceLoader loader)` v3.23.0 版本新增 草稿预加载 判断加载草稿所需要的资源是否存在，如果不存在则通过草稿资源加载器获取
    `abstract void` | `rename(java.lang.String draftId, java.lang.String newName)` v3.23.0 版本新增 草稿重命名
    `abstract void` | `setProjectId(java.lang.String draftId, java.lang.String projectId)` v3.23.0 版本新增 设置工程ID(用来关联云端资源)
    `abstract void` | `updateCover(AliyunDraft draft, Source source)` v3.25.0 版本新增 更新封面图片
    `abstract void` | `uploadDraft(AliyunDraft draft, AliyunDraftResourceUploader uploader)` v3.23.0 版本新增 上传草稿

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AliyunDraftManager

          public AliyunDraftManager()

  - ### Method Detail

    - #### getInstance

          public static AliyunDraftManager getInstance(Context context)

      v3.23.0 版本新增 获取草稿管理实例
      Parameters:
        `context` - 上下文
      Returns:
        草稿管理实例

    - #### getDraftList

          public abstract java.util.List<AliyunDraft> getDraftList()

      v3.23.0 版本新增 获取草稿列表(默认按最新更新时间排序)
      Returns:
        草稿列表

    - #### getDraftListByAsync

          public abstract void getDraftListByAsync(AliyunDraftListCallback callback)

      v3.23.0 版本新增 异步获取草稿列表(默认按最新更新时间排序)
      Parameters:
        `callback` - 草稿列表回调

    - #### getDraft

          public abstract AliyunDraft getDraft(java.lang.String draftId)

      v3.23.0 版本新增 根据ID获取草稿信息
      Parameters:
        `draftId` - 草稿ID
      Returns:
        草稿

    - #### getDraftByPath

          public abstract AliyunDraft getDraftByPath(java.lang.String path)

      v3.25.0 版本新增 根据草稿路径获取草稿信息
      Parameters:
        `path` - 草稿路径
      Returns:
        草稿

    - #### rename

          public abstract void rename(java.lang.String draftId,
                                      java.lang.String newName)

      v3.23.0 版本新增 草稿重命名
      Parameters:
        `draftId` - 草稿id
        `newName` - 新名称

    - #### setProjectId

          public abstract void setProjectId(java.lang.String draftId,
                                            java.lang.String projectId)

      v3.23.0 版本新增 设置工程ID(用来关联云端资源)
      Parameters:
        `draftId` - 草稿id
        `projectId` - project id

    - #### deleteDraft

          public abstract void deleteDraft(java.lang.String draftId)

      v3.23.0 版本新增 删除草稿
      Parameters:
        `draftId` - 草稿id

    - #### copy

          public abstract AliyunDraft copy(java.lang.String draftId)

      v3.23.0 版本新增 草稿复制
      Parameters:
        `draftId` - 草稿id
      Returns:
        草稿副本

    - #### preLoadDraft

          public abstract void preLoadDraft(AliyunDraft draft,
                                            AliyunDraftResourceLoader loader)

      v3.23.0 版本新增 草稿预加载 判断加载草稿所需要的资源是否存在，如果不存在则通过草稿资源加载器获取
      Parameters:
        `draft` - 草稿
        `loader` - 草稿资源加载器

    - #### uploadDraft

          public abstract void uploadDraft(AliyunDraft draft,
                                           AliyunDraftResourceUploader uploader)

      v3.23.0 版本新增 上传草稿
      Parameters:
        `draft` - 草稿
        `uploader` - 上传处理器

    - #### downloadDraft

          public abstract void downloadDraft(java.io.File draftProject,
                                             AliyunDraftResourceDownloader downloader)

      v3.23.0 版本新增 下载草稿
      Parameters:
        `draftProject` - 草稿配置文件
        `downloader` - 下载处理器

    - #### updateCover

          public abstract void updateCover(AliyunDraft draft,
                                           Source source)

      v3.25.0 版本新增 更新封面图片
      Parameters:
        `draft` - 草稿
        `source` - 草稿封面资源，如果为空则默认用第一帧图片